Subject: linking with V
From: [email-masked] (Mr. Kevin D. Peckover)

22 Oct 1996 16:42:05 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Original-To: [email-masked]
Original-Sender: [email-masked]

I am trying to build the 'test' program in the V package.
I don't think my problem is specific to V, when I build the final
app and try to link in the V library, the linker does not find the 
function calls in my *.o files in the V libary.

My command looks like this:

C:\usr\libsrc\v\test>make
g++ -o /usr/libexec/v/v1  /usr/libobj/v/testapp.o /usr/libobj/v/vtcanvas.o /usr
libobj/v/vtcmdwin.o /usr/libobj/v/vtcw2.o /usr/libobj/v/vttogdlg.o /usr/libobj/
/vtdialog.o -lcygwin -lkernel32 -luser32 -lgdi32 -lV

and the first few errors are:

/usr/libobj/v/testapp.o(.text+0x16b):testapp.cc: undefined reference to `vNotic
Dialog::vCmdParent virtual table'
/usr/libobj/v/testapp.o(.text+0x172):testapp.cc: undefined reference to `vNotic
Dialog virtual table'
/usr/libobj/v/testapp.o(.text+0x318):testapp.cc: undefined reference to `vApp::
orkSlice(void)'
/usr/libobj/v/testapp.o(.text+0x331):testapp.cc: undefined reference to `__tf4v
pp'
/usr/libobj/v/vtcanvas.o(.text+0xb8):vtcanvas.cc: undefined reference to `vCanv
sPane::MouseMotion(int, int)'